Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Pad Class Reference

パッド More...

`#include <Pad.h>`

Inheritance diagram for Lamp::Pad:

List of all members.

## Public Member Functions
| Pad (Joystick *joystick)
| コンストラクタ
virtual | ~Pad ()
| デストラクタ
virtual Joystick * | getJoystick ()
| ジョイスティックの取得
virtual String | getName () const
| 名前の取得
virtual bool | isAttached () const
| アタッチされているか
virtual void | clear ()
| クリア
virtual bool | setCooperativeLevel (bool exclusive, bool foreground)
| 協調レベルの設定
virtual bool | isExclusive () const
| 排他モードか
virtual bool | isForeground () const
| フォアグラウンドモードか
virtual String | toString () const
| 文字列への変換
## Protected Attributes
Joystick * | joystick_
| ジョイスティック

## Detailed Description

パッド

Definition at line 36 of file Pad.h.

## Constructor & Destructor Documentation

Lamp::Pad::Pad | ( | Joystick * | joystick | ) |

  | コンストラクタ Parameters:
  joystick | 使用するジョイスティック
Definition at line 33 of file Pad.cpp. References Assert, joystick_, and NULL.

## Member Function Documentation

virtual Joystick* Lamp::Pad::getJoystick | ( |  | ) | `[inline, virtual]`

| ジョイスティックの取得 Returns: ジョイスティック Definition at line 54 of file Pad.h. References joystick_. Referenced by Lamp::PS2PadCameraController::getJoystick().

String Lamp::Pad::getName | ( |  | ) | const`[virtual]`

| 名前の取得 Returns: 名前 Definition at line 42 of file Pad.cpp. References Lamp::Joystick::getName(), and joystick_. Referenced by toString().

bool Lamp::Pad::isAttached | ( |  | ) | const`[virtual]`

| アタッチされているか Returns: アタッチされていればtrue Definition at line 47 of file Pad.cpp. References Lamp::Joystick::isAttached(), and joystick_. Referenced by toString().

bool Lamp::Pad::isExclusive | ( |  | ) | const`[virtual]`

| 排他モードか Returns: 排他モードならtrue Definition at line 62 of file Pad.cpp. References Lamp::Joystick::isExclusive(), and joystick_. Referenced by toString().

bool Lamp::Pad::isForeground | ( |  | ) | const`[virtual]`

| フォアグラウンドモードか Returns: フォアグラウンドモードならtrue、バックグラウンドモードならfalse Definition at line 67 of file Pad.cpp. References Lamp::Joystick::isForeground(), and joystick_. Referenced by toString().

bool Lamp::Pad::setCooperativeLevel | ( | bool | exclusive,
|  | bool | foreground
| ) | `[virtual]`

  | 協調レベルの設定 Parameters:
  exclusive | 排他モードならtrue
  foreground | フォアグラウンドモードならtrue
Returns: 成功すればtrue Definition at line 57 of file Pad.cpp. References joystick_, and Lamp::Joystick::setCooperativeLevel().

String Lamp::Pad::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented in Lamp::PS2Pad, and Lamp::SFPad. Definition at line 72 of file Pad.cpp. References getName(), isAttached(), isExclusive(), and isForeground().

The documentation for this class was generated from the following files:

- Pad.h
- Pad.cpp